Sentry 9.1.1 deploy problem

#1

Installing sentry 9.1.1 via python (2.7) in venv => https://docs.sentry.io/server/installation/python/.

Error when try sentry upgrade (/opt/sentry/virtualenv/bin/sentry --config=/opt/sentry/ upgrade -v 10):

File “/opt/sentry/virtualenv/bin/sentry”, line 10, in
Notice: /Stage[main]/Sentry::Config/Sentry::Command[postconfig_upgrade]/sys.exit(main())
Notice: /Stage[main]/Sentry::Config/Sentry::Command[postconfig_upgrade]/File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/runner/init.py”, line 162, in main
Notice: /Stage[main]/Sentry::Config/Sentry::Command[postconfig_upgrade]/cli(prog_name=get_prog(), obj={}, max_content_width=100)
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/click/core.py”, line 722, in __call__return self.main(*args, **kwargs)
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/click/core.py”, line 697, in main
rv = self.invoke(ctx)
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/click/core.py”, line 1066, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/click/core.py”, line 895, in invoke
return ctx.invoke(self.callback, **ctx.params)
return callback(*args, **kwargs)
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/click/decorators.py”, line 17, in new_func
return f(get_current_context(), *args, **kwargs)
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/runner/decorators.py”, line 35, in inner
configure()
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/runner/init.py”, line 125, in configure
configure(ctx, py, yaml, skip_service_validation)
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/runner/settings.py”, line 156, in configure
skip_service_validation=skip_service_validation
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/runner/initializer.py”, line 267, in initialize_app
bootstrap_options(settings, config[‘options’])
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/runner/initializer.py”, line 140, in bootstrap_options
from sentry.options import load_defaults
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/options/init.py”, line 10, in
from .store import OptionsStore
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/options/store.py”, line 20, in
from sentry.db.models.query import create_or_update
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/db/models/init.py”, line 11, in
from .base import * # NOQA
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/db/models/base.py”, line 20, in
from .fields.bounded import BoundedBigAutoField
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/db/models/fields/init.py”, line 13, in
from .citext import * # NOQA
File “/opt/sentry/virtualenv/local/lib/python2.7/site-packages/sentry/db/models/fields/citext.py”, line 15, in
from django.db.models.signals import pre_syncdb
ImportError: cannot import name pre_syncdb

#2

It looks like you’re using a version of Django that isn’t supported (to the best I can tell).

#3

Thanks. Solved.